Transfer Between Internal Accounts
Move funds in-between platform accounts. Use this endpoint to move funds between different accounts to trade in brokerage, or to withdraw later on.
Domain: Accounts
Request
Section titled “Request”POST https://trade-uk.sandbox.zodiamarkets.com/api/3/transferHeaders
Section titled “Headers”| Header | Required | Description |
|---|---|---|
Rest-Key |
yes | API key for authentication |
Rest-Sign |
yes | Calculated API Signature |
| Field | Type | Required | Description |
|---|---|---|---|
tonce |
integer (int64) | yes | The current Unix time in microseconds. |
from |
string | yes | Which account the funds are being transferred from. Valid values: AVAILABLE / BROKERAGE |
to |
string | yes | Which account the funds are being transferred to. Valid values: AVAILABLE / BROKERAGE |
amount |
number (double) | yes | Amount to transfer. |
ccy |
string | yes | Currency ticker to transfer. |
accountGroupUuid |
string | yes | specify which account group to perform the transfer upon |
Responses
Section titled “Responses”200 OK
Section titled “200 OK”| Field | Type | Required | Description |
|---|---|---|---|
status |
string | ||
uuid |
string |
400 Bad Request
Section titled “400 Bad Request”| Field | Type | Required | Description |
|---|---|---|---|
resultCode |
string | ||
timestamp |
string |
401 Unauthorized
Section titled “401 Unauthorized”| Field | Type | Required | Description |
|---|---|---|---|
timestamp |
string | ||
resultCode |
string |
403 Forbidden
Section titled “403 Forbidden”| Field | Type | Required | Description |
|---|---|---|---|
timestamp |
string | ||
resultCode |
string |
404 Not Found
Section titled “404 Not Found”| Field | Type | Required | Description |
|---|---|---|---|
apiVersion |
string | ||
error |
string | ||
timestamp |
integer | Default: 0 |
500 Internal Server Error
Section titled “500 Internal Server Error”| Field | Type | Required | Description |
|---|---|---|---|
resultCode |
string | ||
timestamp |
string |
